//! Data for global app state.

use calibre_db::calibre::Calibre;

use crate::config::Config;

/// Global application state, meant to be used in request handlers.
pub struct AppState {
    /// Access calibre database.
    pub calibre: Calibre,
    /// Access application configuration.
    pub config: Config,
}
